Start live session
curl --request POST \
--url https://api.illocution.ai/analyze/live/start \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"goal": "<string>",
"filename": "call.wav",
"suffix": ".wav",
"ttl_seconds": 900
}
'import requests
url = "https://api.illocution.ai/analyze/live/start"
payload = {
"goal": "<string>",
"filename": "call.wav",
"suffix": ".wav",
"ttl_seconds": 900
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({goal: '<string>', filename: 'call.wav', suffix: '.wav', ttl_seconds: 900})
};
fetch('https://api.illocution.ai/analyze/live/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"session_id": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"next_chunk_seq": 123
}{
"detail": "Invalid or missing API key"
}{
"detail": "Invalid or missing API key"
}Live Streaming
Start live session
Start a live streaming session for incremental media uploads (softphones, browser mics).
POST
/
analyze
/
live
/
start
Start live session
curl --request POST \
--url https://api.illocution.ai/analyze/live/start \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"goal": "<string>",
"filename": "call.wav",
"suffix": ".wav",
"ttl_seconds": 900
}
'import requests
url = "https://api.illocution.ai/analyze/live/start"
payload = {
"goal": "<string>",
"filename": "call.wav",
"suffix": ".wav",
"ttl_seconds": 900
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({goal: '<string>', filename: 'call.wav', suffix: '.wav', ttl_seconds: 900})
};
fetch('https://api.illocution.ai/analyze/live/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"session_id": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"next_chunk_seq": 123
}{
"detail": "Invalid or missing API key"
}{
"detail": "Invalid or missing API key"
}Authorizations
API key for authentication. Can also be passed as query parameter: api_key=
Body
application/json